OCSSW Installation error

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
whizialfa
Posts: 3
Joined: Tue Dec 28, 2021 2:44 pm America/New_York
Answers: 0

OCSSW Installation error

by whizialfa » Tue Dec 28, 2021 3:59 pm America/New_York

execution exception: java.io.IOException: install_ocssw failed with exit code 1.
Check log for more details.
Traceback (most recent call last):
File "/tmp/install_ocssw", line 490, in <module>
sys.exit(run())
File "/tmp/install_ocssw", line 260, in run
downloadBundleList(options1[0])
File "/tmp/install_ocssw", line 226, in downloadBundleList
bundleListUrl = "%s/%s/root/%s" % (options.base_url, getBundleListTag(manifestFilename), BUNDLELIST_BASENAME)
File "/tmp/install_ocssw", line 179, in getBundleListTag
manifest = json.load(manifestFile)
File "/usr/lib/python3.5/json/__init__.py", line 268, in load
parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
File "/usr/lib/python3.5/json/__init__.py", line 312, in loads
s.__class__.__name__))
TypeError: the JSON object must be str, not 'bytes'


Please how do I resolve this?

Tags:

gnwiii
Posts: 688
Joined: Fri Jan 29, 2021 5:51 pm America/New_York
Answers: 2

Re: OCSSW Installation error

by gnwiii » Wed Dec 29, 2021 1:30 pm America/New_York

You appear to be using Python 3.5. https://seadas.gsfc.nasa.gov/requirements/ states that you need Python 3.6 or above.

Note that you may also need to install a suitable python3-requests package. When asking for help it is good practice to mention your OS version because others using the same OS version may already have a solution.

Post Reply